gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: updaters for main


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: updaters for main Web site
Date: Thu, 29 Jun 2017 11:16:54 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 884b7bf  updaters for main Web site
884b7bf is described below

commit 884b7bfc72b0ff855129643b519eb2a2e754bf79
Author: Marcello Stanisci <address@hidden>
AuthorDate: Thu Jun 29 11:16:45 2017 +0200

    updaters for main Web site
---
 taler-build/update_stage.sh | 16 ++++++++++++++++
 taler-build/update_www.sh   | 16 ++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/taler-build/update_stage.sh b/taler-build/update_stage.sh
new file mode 100644
index 0000000..ba068fe
--- /dev/null
+++ b/taler-build/update_stage.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/taler.net
+fetch
+git submodule update --init
+make
diff --git a/taler-build/update_www.sh b/taler-build/update_www.sh
new file mode 100644
index 0000000..ba068fe
--- /dev/null
+++ b/taler-build/update_www.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/taler.net
+fetch
+git submodule update --init
+make

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]